﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _561605
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            radDropDownList1.KeyDown += new KeyEventHandler(radDDLAccountNo_KeyDown);
            radDropDownList1.KeyPress += new KeyPressEventHandler(radDDLAccountNo_KeyPress);

            radDropDownList2.DropDownListElement.EditableElement.TextBox.TextBoxItem.TextChanging += new Telerik.WinControls.TextChangingEventHandler(TextBoxItem_TextChanging);
        }

        #region variant2
        void TextBoxItem_TextChanging(object sender, Telerik.WinControls.TextChangingEventArgs e)
        {
            e.Cancel =  e.NewValue.Any(character => !char.IsNumber(character));
        }
        #endregion

        #region Variant1
        private bool nonNumberEntered = false;
        protected void radDDLAccountNo_KeyDown(Object sender, KeyEventArgs e)
        {
            ValidateNumericField(e);
        }
        private void radDDLAccountNo_KeyPress(Object sender, KeyPressEventArgs e)
        {
            KeyPressEvent(e);
        }
        private void ValidateNumericField(KeyEventArgs e)
        {
            nonNumberEntered = false;
            if (e.KeyCode < Keys.D0 || e.KeyCode > Keys.D9)
            {
                if (e.KeyCode < Keys.NumPad0 || e.KeyCode > Keys.NumPad9)
                {
                    if (e.KeyCode != Keys.Back)
                        nonNumberEntered = true;
                }
            }
            if (Control.ModifierKeys == Keys.Shift)
                nonNumberEntered = true;
        }
        private void KeyPressEvent(KeyPressEventArgs e)
        {
            if (nonNumberEntered == true)
            {
                e.Handled = true;
            }
        }
        #endregion
    }
}
